[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomComboBox.Sorted

Determines whether the list entries are sorted in alphanumeric order.

## Declaration

Source position: stdctrls.pp line 406

`protected property TCustomComboBox.Sorted : Boolean read FSorted write SetSorted default False;`

## Description

Sorted is a Boolean property which indicates if values in Items are stored and displayed in alphanumeric sort order.

Setting this property to True enforces ascending alphanumeric case-insensitive sorting of the list. When set to True, new entries are added in sort order, and not to the end of the Items list. When a new value is assigned to the property, the UpdateSorted method is called to set the Sorted property in Items to the corresponding value. ItemIndex is also set to the location in Items where the value in Text is stored, or -1 when not found.

The default value for the property is False.